package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag900;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT900Creator;


public class Tag20Creator extends AbsTagCreate {

     private MT900Creator mt900Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt900Creator= (MT900Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt900Creator.getTransactionReferenceNumber();
        mt900Creator.set("20", tag20Value);
    }
}

